Gentoo Archives: gentoo-security

From: Jason Stubbs <jstubbs@××××××××××.jp>
To: gentoo-security@l.g.o
Subject: Re: [gentoo-security] Kernels and GLSAs
Date: Thu, 22 Sep 2005 02:09:36
Message-Id: 4332113E.5060203@work-at.co.jp
In Reply to: Re: [gentoo-security] Kernels and GLSAs by Cameron Blackwood
Cameron Blackwood wrote:
> Huh? Have I just foolishly assumed that emerge world checks all packages? > Is there some 'better' way to list all packages that need updates > both security and normal (and I missed it)? > > I thought it might just have been me (running ppc64), but I notice my > friends intel box has exactly the same problem, right down to the same > version of dhcpcd. > > Ok, I just checked the security handbook and it only mentions > glsa-check. Ok, its probably my bad... but shouldnt emerge world > merge security updates too?
"world" is only the contents of /var/lib/portage/world and their (deep if using --deep) dependencies. Integration of glsa-check in the form of "emerge --security" or some such is planned. An "all" target is also planned. -- Jason Stubbs -- gentoo-security@g.o mailing list

Replies

Subject Author
Re: [gentoo-security] Kernels and GLSAs Brad Plant <bplant@×××××××××××.au>